Bug 1150612 - yast2-aduc unused xset may cause exception in appimage
yast2-aduc unused xset may cause exception in appimage
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: David Mulder
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-12 19:40 UTC by David Mulder
Modified: 2021-03-19 08:19 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Mulder 2019-09-12 19:40:54 UTC
Traceback (most recent call last):
  File "/usr/share/YaST2/clients/aduc.py", line 12, in <module>
    from wizards import ADUCSequence
  File "/usr/share/YaST2/clients/../include/aduc/wizards.py", line 2, in <module>
    from dialogs import ADUC
  File "/usr/share/YaST2/clients/../include/aduc/dialogs.py", line 28, in <module>
    have_advanced_gui = have_x()
  File "/usr/share/YaST2/clients/../include/aduc/dialogs.py", line 26, in have_x
    p = Popen(['xset', '-q'], stdout=PIPE, stderr=PIPE)
  File "/tmp/.mount_admin-yPfFRa/usr/lib64/python3.6/subprocess.py", line 729, in __init__
    restore_signals, start_new_session)
  File "/tmp/.mount_admin-yPfFRa/usr/lib64/python3.6/subprocess.py", line 1364, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
Comment 1 David Mulder 2019-09-25 20:23:37 UTC
Resolved
Comment 7 Swamp Workflow Management 2021-03-19 08:19:46 UTC
SUSE-RU-2021:0881-1: An update that has 15 recommended fixes and contains two features can now be installed.

Category: recommended (moderate)
Bug References: 1084864,1132565,1133568,1135130,1135224,1138203,1138487,1145508,1146898,1150394,1150612,1151713,1152052,1154121,1170998
CVE References: 
JIRA References: ECO-2527,SLE-5527
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    yast2-adcommon-python-1.6-3.3.10, yast2-aduc-2.2-3.3.11
SUSE Linux Enterprise Module for Python2 15-SP2 (src):    samba-4.11.14+git.202.344b137b75d-4.16.2
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    samba-4.11.14+git.202.344b137b75d-4.16.2
SUSE Linux Enterprise High Availability 15-SP2 (src):    samba-4.11.14+git.202.344b137b75d-4.16.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.